function EventAlert_LoadSpellArray()

	if EA_Items == nil then
		EA_Items = {};
	end

	if EA_AltItems == nil then
		EA_AltItems = {};
	end

	if EA_TarItems == nil then
		EA_TarItems = {};
	end

-- 05/24 Remark this code. For saving the spells dynamically, and clear the CLASS_OTHER for the removed spells.
-- 04/29 Add this code. Clear the saved items to prevent alert the removed spells(old-trinket).
	-- EA_Items = {};
	-- EA_AltItems = {};
	-- EA_Items[EA_CLASS_OTHER] = {};

-- For buffs that have charges or are supposed to have charges, but instead re-cast themselves and mess up the frames.
	if EA_Items[EA_CLASS_FUNKY] == nil then EA_Items[EA_CLASS_FUNKY] = {} end;



--------------------------------- Start Normal Items ---------------------------------
-- Death Knight / 죽음의 기사
if EA_Items[EA_CLASS_DK] == nil then EA_Items[EA_CLASS_DK] = {} end;
	-- 도살기
		if EA_Items[EA_CLASS_DK][51124] == nil then EA_Items[EA_CLASS_DK][51124] = true end;

	-- 단단한 얼음 (혹한의 안개)
		if EA_Items[EA_CLASS_DK][59052] == nil then EA_Items[EA_CLASS_DK][59052] = true end;

	-- 잿더미 빙하 (룬가열로)
		if EA_Items[EA_CLASS_DK][53386] == nil then EA_Items[EA_CLASS_DK][53386] = true end;

	-- 타락한 성전사의 룬
		if EA_Items[EA_CLASS_DK][53344] == nil then EA_Items[EA_CLASS_DK][53344] = true end;

	-- 부정의 힘
		if EA_Items[EA_CLASS_DK][53365] == nil then EA_Items[EA_CLASS_DK][53365] = true end;
		if EA_Items[EA_CLASS_DK][67383] == nil then EA_Items[EA_CLASS_DK][67383] = true end;

	-- 얼음같은 인내력
		if EA_Items[EA_CLASS_DK][48792] == nil then EA_Items[EA_CLASS_DK][48792] = true end;

	-- 대마법 보호막
		if EA_Items[EA_CLASS_DK][48707] == nil then EA_Items[EA_CLASS_DK][48707] = true end;

	-- 티어 9 세트 (근접 보너스 효과)
		if EA_Items[EA_CLASS_DK][67115] == nil then EA_Items[EA_CLASS_DK][67115] = true end;

	-- 황폐화
		if EA_Items[EA_CLASS_DK][66817] == nil then EA_Items[EA_CLASS_DK][66817] = true end;

	-- 티어 10 세트 (근접 보너스 효과)
		if EA_Items[EA_CLASS_DK][70656] == nil then EA_Items[EA_CLASS_DK][70656] = true end;

-- Druid / 드루이드
if EA_Items[EA_CLASS_DRUID] == nil then EA_Items[EA_CLASS_DRUID] = {} end;
	-- 일식
		if EA_Items[EA_CLASS_DRUID][48517] == nil then EA_Items[EA_CLASS_DRUID][48517] = true end;
		if EA_Items[EA_CLASS_DRUID][48518] == nil then EA_Items[EA_CLASS_DRUID][48518] = true end;

	-- 자연의 은혜
		if EA_Items[EA_CLASS_DRUID][16886] == nil then EA_Items[EA_CLASS_DRUID][16886] = true end;

	-- 청명의 전조
		if EA_Items[EA_CLASS_DRUID][16870] == nil then EA_Items[EA_CLASS_DRUID][16870] = true end;

	-- 올빼미야수의 광기
		if EA_Items[EA_CLASS_DRUID][48391] == nil then EA_Items[EA_CLASS_DRUID][48391] = true end;

	-- 엘룬의 분노 (PvP 세트 보너스)
		if EA_Items[EA_CLASS_DRUID][46833] == nil then EA_Items[EA_CLASS_DRUID][46833] = true end;

	-- 엘룬의 격노 (티어 8 세트 보너스)
		if EA_Items[EA_CLASS_DRUID][64823] == nil then EA_Items[EA_CLASS_DRUID][64823] = true end;

	-- 야생의 신속함
		if EA_Items[EA_CLASS_DRUID][69369] == nil then EA_Items[EA_CLASS_DRUID][69369] = true end;

	-- 생존 본능
		if EA_Items[EA_CLASS_DRUID][61336] == nil then EA_Items[EA_CLASS_DRUID][61336] = true end;

	-- 야생의 포효
		if EA_Items[EA_CLASS_DRUID][52610] == nil then EA_Items[EA_CLASS_DRUID][52610] = true end;

	-- 광폭화
		if EA_Items[EA_CLASS_DRUID][50334] == nil then EA_Items[EA_CLASS_DRUID][50334] = true end;

-- Hunter / 사냥꾼
if EA_Items[EA_CLASS_HUNTER] == nil then EA_Items[EA_CLASS_HUNTER] = {} end;
	-- 고정 사격 연마
		if EA_Items[EA_CLASS_HUNTER][53220] == nil then EA_Items[EA_CLASS_HUNTER][53220] = true end;

	-- 실탄 장전
		if EA_Items[EA_CLASS_HUNTER][56453] == nil then EA_Items[EA_CLASS_HUNTER][56453] = true end;

	-- 신속한 사냥
		if EA_Items[EA_CLASS_HUNTER][35098] == nil then EA_Items[EA_CLASS_HUNTER][35098] = true end;
		if EA_Items[EA_CLASS_HUNTER][35099] == nil then EA_Items[EA_CLASS_HUNTER][35099] = true end;

	-- T10x2P / 약점 공격
		if EA_Items[EA_CLASS_HUNTER][70728] == nil then EA_Items[EA_CLASS_HUNTER][70728] = true end;

	-- T10x4P / 쐐기
		if EA_Items[EA_CLASS_HUNTER][71007] == nil then EA_Items[EA_CLASS_HUNTER][71007] = true end;

-- Mage / 마법사
if EA_Items[EA_CLASS_MAGE] == nil then EA_Items[EA_CLASS_MAGE] = {} end;
	-- 정신집중
		if EA_Items[EA_CLASS_MAGE][12536] == nil then EA_Items[EA_CLASS_MAGE][12536] = true end;

	-- 화염구!
		if EA_Items[EA_CLASS_MAGE][57761] == nil then EA_Items[EA_CLASS_MAGE][57761] = true end;

	-- 서리의 손가락
		if EA_Items[EA_CLASS_MAGE][74396] == nil then EA_Items[EA_CLASS_MAGE][74396] = true end;

	-- 화염 촉발
		if EA_Items[EA_CLASS_MAGE][54741] == nil then EA_Items[EA_CLASS_MAGE][54741] = true end;

	-- 몰아치는 열기
		if EA_Items[EA_CLASS_MAGE][48108] == nil then EA_Items[EA_CLASS_MAGE][48108] = true end;

	-- 미사일 탄막
		if EA_Items[EA_CLASS_MAGE][44401] == nil then EA_Items[EA_CLASS_MAGE][44401] = true end;

	-- 비전 작렬
		if EA_Items[EA_CLASS_MAGE][36032] == nil then EA_Items[EA_CLASS_MAGE][36032] = true end;

	-- T10x4P / 네 개의 심장
		if EA_Items[EA_CLASS_MAGE][70747] == nil then EA_Items[EA_CLASS_MAGE][70747] = true end;

-- Paladin / 성기사
if EA_Items[EA_CLASS_PALADIN] == nil then EA_Items[EA_CLASS_PALADIN] = {} end;

	-- Just used for testing  (DO NOT ENABLE THESE UNLESS YOU KNOW WHAT YOU ARE DOING).
		--  if EA_Items[EA_CLASS_PALADIN][27179] == nil then EA_Items[EA_CLASS_PALADIN][27179] = true end;
		--  if EA_Items[EA_CLASS_PALADIN][27151] == nil then EA_Items[EA_CLASS_PALADIN][27151] = true end;
		--  if EA_Items[EA_CLASS_PALADIN][27140] == nil then EA_Items[EA_CLASS_PALADIN][27140] = true end;

	-- 전쟁의 기술
		if EA_Items[EA_CLASS_PALADIN][53489] == nil then EA_Items[EA_CLASS_PALADIN][53489] = true end;
		if EA_Items[EA_CLASS_PALADIN][59578] == nil then EA_Items[EA_CLASS_PALADIN][59578] = true end;

	-- 빛 주입
		if EA_Items[EA_CLASS_PALADIN][53672] == nil then EA_Items[EA_CLASS_PALADIN][53672] = true end;
		if EA_Items[EA_CLASS_PALADIN][54149] == nil then EA_Items[EA_CLASS_PALADIN][54149] = true end;

	-- 성스러운 보호막
		if EA_Items[EA_CLASS_PALADIN][58597] == nil then EA_Items[EA_CLASS_PALADIN][58597] = true end;

	-- T10x4P / 신성함
		if EA_Items[EA_CLASS_PALADIN][70757] == nil then EA_Items[EA_CLASS_PALADIN][70757] = true end;

	-- T10x4P / 해방
		if EA_Items[EA_CLASS_PALADIN][70760] == nil then EA_Items[EA_CLASS_PALADIN][70760] = true end;

-- Priest / 사제
if EA_Items[EA_CLASS_PRIEST] == nil then EA_Items[EA_CLASS_PRIEST] = {} end;
	-- 시간 벌기
		if EA_Items[EA_CLASS_PRIEST][59887] == nil then EA_Items[EA_CLASS_PRIEST][59887] = true end;
		if EA_Items[EA_CLASS_PRIEST][59888] == nil then EA_Items[EA_CLASS_PRIEST][59888] = true end;
		if EA_Items[EA_CLASS_PRIEST][59889] == nil then EA_Items[EA_CLASS_PRIEST][59889] = true end;
		if EA_Items[EA_CLASS_PRIEST][59890] == nil then EA_Items[EA_CLASS_PRIEST][59890] = true end;
		if EA_Items[EA_CLASS_PRIEST][59891] == nil then EA_Items[EA_CLASS_PRIEST][59891] = true end;

	-- 신성한 정신집중
		if EA_Items[EA_CLASS_PRIEST][34754] == nil then EA_Items[EA_CLASS_PRIEST][34754] = true end;
		if EA_Items[EA_CLASS_PRIEST][63724] == nil then EA_Items[EA_CLASS_PRIEST][63724] = true end;
		if EA_Items[EA_CLASS_PRIEST][63725] == nil then EA_Items[EA_CLASS_PRIEST][63725] = true end;

	-- 헌신
		if EA_Items[EA_CLASS_PRIEST][14743] == nil then EA_Items[EA_CLASS_PRIEST][14743] = true end;
		if EA_Items[EA_CLASS_PRIEST][27828] == nil then EA_Items[EA_CLASS_PRIEST][27828] = true end;

	-- 우연한 행운
		if EA_Items[EA_CLASS_PRIEST][63731] == nil then EA_Items[EA_CLASS_PRIEST][63731] = true end;
		if EA_Items[EA_CLASS_PRIEST][63734] == nil then EA_Items[EA_CLASS_PRIEST][63734] = true end;
		if EA_Items[EA_CLASS_PRIEST][63735] == nil then EA_Items[EA_CLASS_PRIEST][63735] = true end;

	-- 빛의 쇄도
		if EA_Items[EA_CLASS_PRIEST][33151] == nil then EA_Items[EA_CLASS_PRIEST][33151] = true end;

-- Rogue / 도적
if EA_Items[EA_CLASS_ROGUE] == nil then EA_Items[EA_CLASS_ROGUE] = {} end;

-- Shaman / 주술사
if EA_Items[EA_CLASS_SHAMAN] == nil then EA_Items[EA_CLASS_SHAMAN] = {} end;
	-- 정신 집중
		if EA_Items[EA_CLASS_SHAMAN][16246] == nil then EA_Items[EA_CLASS_SHAMAN][16246] = true end;

	-- 소용돌이치는 무기
		if EA_Items[EA_CLASS_SHAMAN][53817] == nil then EA_Items[EA_CLASS_SHAMAN][53817] = true end;

	-- 굽이치는 물결
		if EA_Items[EA_CLASS_SHAMAN][53390] == nil then EA_Items[EA_CLASS_SHAMAN][53390] = true end;

	-- T10x2P / 정기의 분노
		if EA_Items[EA_CLASS_SHAMAN][70829] == nil then EA_Items[EA_CLASS_SHAMAN][70829] = true end;

	-- 눈사태의 토템 (3 중첩)
		if EA_Items[EA_CLASS_SHAMAN][71216] == nil then EA_Items[EA_CLASS_SHAMAN][71216] = true end;

	-- 정기의 깨달음
		if EA_Items[EA_CLASS_SHAMAN][64701] == nil then EA_Items[EA_CLASS_SHAMAN][64701] = true end;

	-- T10x4P / 소용돌이치는 힘
		if EA_Items[EA_CLASS_SHAMAN][70831] == nil then EA_Items[EA_CLASS_SHAMAN][70831] = true end;

	-- T10x2P / 신속한 물결
		if EA_Items[EA_CLASS_SHAMAN][70806] == nil then EA_Items[EA_CLASS_SHAMAN][70806] = true end;

-- Warlock / 흑마법사
if EA_Items[EA_CLASS_WARLOCK] == nil then EA_Items[EA_CLASS_WARLOCK] = {} end;
	-- 역류
		if EA_Items[EA_CLASS_WARLOCK][54274] == nil then EA_Items[EA_CLASS_WARLOCK][54274] = true end;
		if EA_Items[EA_CLASS_WARLOCK][54276] == nil then EA_Items[EA_CLASS_WARLOCK][54276] = true end;
		if EA_Items[EA_CLASS_WARLOCK][54277] == nil then EA_Items[EA_CLASS_WARLOCK][54277] = true end;

	-- 반발력
		if EA_Items[EA_CLASS_WARLOCK][34936] == nil then EA_Items[EA_CLASS_WARLOCK][34936] = true end;

	-- 죽음의 예언
		if EA_Items[EA_CLASS_WARLOCK][63165] == nil then EA_Items[EA_CLASS_WARLOCK][63165] = true end;
		if EA_Items[EA_CLASS_WARLOCK][63167] == nil then EA_Items[EA_CLASS_WARLOCK][63167] = true end;

	-- 임프 강화
		if EA_Items[EA_CLASS_WARLOCK][47283] == nil then EA_Items[EA_CLASS_WARLOCK][47283] = true end;

	-- 박멸
		if EA_Items[EA_CLASS_WARLOCK][64368] == nil then EA_Items[EA_CLASS_WARLOCK][64368] = true end;
		if EA_Items[EA_CLASS_WARLOCK][64370] == nil then EA_Items[EA_CLASS_WARLOCK][64370] = true end;
		if EA_Items[EA_CLASS_WARLOCK][64371] == nil then EA_Items[EA_CLASS_WARLOCK][64371] = true end;

	-- 화산핵
		if EA_Items[EA_CLASS_WARLOCK][47383] == nil then EA_Items[EA_CLASS_WARLOCK][47383] = true end;
		if EA_Items[EA_CLASS_WARLOCK][71162] == nil then EA_Items[EA_CLASS_WARLOCK][71162] = true end;
		if EA_Items[EA_CLASS_WARLOCK][71165] == nil then EA_Items[EA_CLASS_WARLOCK][71165] = true end;

	-- 어둠의 무아지경
		if EA_Items[EA_CLASS_WARLOCK][17941] == nil then EA_Items[EA_CLASS_WARLOCK][17941] = true end;

	-- 생명력 전환
		if EA_Items[EA_CLASS_WARLOCK][63321] == nil then EA_Items[EA_CLASS_WARLOCK][63321] = true end;

	-- T10x4P / 사악한 마음
		if EA_Items[EA_CLASS_WARLOCK][70840] == nil then EA_Items[EA_CLASS_WARLOCK][70840] = true end;

-- Warrior / 전사
if EA_Items[EA_CLASS_WARRIOR] == nil then EA_Items[EA_CLASS_WARRIOR] = {} end;
	-- 격돌!
		if EA_Items[EA_CLASS_WARRIOR][46915] == nil then EA_Items[EA_CLASS_WARRIOR][46915] = true end;
		if EA_Items[EA_CLASS_WARRIOR][46916] == nil then EA_Items[EA_CLASS_WARRIOR][46916] = true end;

	-- 급살
		if EA_Items[EA_CLASS_WARRIOR][52437] == nil then EA_Items[EA_CLASS_WARRIOR][52437] = true end;

	-- 검과 방패
		if EA_Items[EA_CLASS_WARRIOR][50227] == nil then EA_Items[EA_CLASS_WARRIOR][50227] = true end;

	-- 피의 맛
		if EA_Items[EA_CLASS_WARRIOR][60503] == nil then EA_Items[EA_CLASS_WARRIOR][60503] = true end;

	-- 복수의 문양
		if EA_Items[EA_CLASS_WARRIOR][58363] == nil then EA_Items[EA_CLASS_WARRIOR][58363] = true end;

	-- T10x2P / 혈투사
		if EA_Items[EA_CLASS_WARRIOR][70855] == nil then EA_Items[EA_CLASS_WARRIOR][70855] = true end;


-------------------------------- Start Other Items --------------------------------
-- Other
if EA_Items[EA_CLASS_OTHER] == nil then EA_Items[EA_CLASS_OTHER] = {} end;
	-- 치유의 무아지경
		-- if EA_Items[EA_CLASS_OTHER][37706] == nil then EA_Items[EA_CLASS_OTHER][37706] = true end;
		-- if EA_Items[EA_CLASS_OTHER][37721] == nil then EA_Items[EA_CLASS_OTHER][37721] = true end;
   		-- if EA_Items[EA_CLASS_OTHER][37722] == nil then EA_Items[EA_CLASS_OTHER][37722] = true end;
        -- if EA_Items[EA_CLASS_OTHER][37723] == nil then EA_Items[EA_CLASS_OTHER][37723] = true end;
        -- if EA_Items[EA_CLASS_OTHER][60512] == nil then EA_Items[EA_CLASS_OTHER][60512] = true end;
        -- if EA_Items[EA_CLASS_OTHER][60513] == nil then EA_Items[EA_CLASS_OTHER][60513] = true end;
        -- if EA_Items[EA_CLASS_OTHER][60514] == nil then EA_Items[EA_CLASS_OTHER][60514] = true end;
        -- if EA_Items[EA_CLASS_OTHER][60515] == nil then EA_Items[EA_CLASS_OTHER][60515] = true end;

	-- Libram of Blinding Light (Spellpower)
		-- if EA_Items[EA_CLASS_OTHER][71191] == nil then EA_Items[EA_CLASS_OTHER][71191] = true end;

	-- Priest - Power Infusion / 사제 - 마력 주입
		if EA_Items[EA_CLASS_OTHER][10060] == nil then EA_Items[EA_CLASS_OTHER][10060] = true end;

	-- Priest - Pain Suppression / 사제 - 고통 억제
		if EA_Items[EA_CLASS_OTHER][33206] == nil then EA_Items[EA_CLASS_OTHER][33206] = true end;

	-- Druid-Innervate / 드루이드 - 정신자극
		if EA_Items[EA_CLASS_OTHER][29166] == nil then EA_Items[EA_CLASS_OTHER][29166] = true end;

	-- Dislodged Foreign Object / Normal+Heroic / 마력의 쇄도
		if EA_Items[EA_CLASS_OTHER][71601] == nil then EA_Items[EA_CLASS_OTHER][71601] = true end;
		if EA_Items[EA_CLASS_OTHER][71644] == nil then EA_Items[EA_CLASS_OTHER][71644] = true end;

	-- ICC - Blood Princes
		-- Shadow Prison / 어둠의 감옥 / 영웅
		if EA_Items[EA_CLASS_OTHER][72999] == nil then EA_Items[EA_CLASS_OTHER][72999] = true end;

	-- ICC - Valithria Dreamwalker
		-- Emerald Vigor / 에메랄드의 활력
		if EA_Items[EA_CLASS_OTHER][70873] == nil then EA_Items[EA_CLASS_OTHER][70873] = true end;
		-- Twisted Nightmares / 뒤틀린 악몽 / 영웅
		if EA_Items[EA_CLASS_OTHER][71941] == nil then EA_Items[EA_CLASS_OTHER][71941] = true end;

	-- ICC - Sindragosa
		-- Unchained Magic / 해방된 마법
		if EA_Items[EA_CLASS_OTHER][69762] == nil then EA_Items[EA_CLASS_OTHER][69762] = true end;
		-- Instability / 불안정
		if EA_Items[EA_CLASS_OTHER][69766] == nil then EA_Items[EA_CLASS_OTHER][69766] = true end;
		-- Chilled to the Bone / 사무치는 한기
		if EA_Items[EA_CLASS_OTHER][70106] == nil then EA_Items[EA_CLASS_OTHER][70106] = true end;
		-- Mystic Buffet / 신비한 강타
		if EA_Items[EA_CLASS_OTHER][70127] == nil then EA_Items[EA_CLASS_OTHER][70127] = true end;
		if EA_Items[EA_CLASS_OTHER][70128] == nil then EA_Items[EA_CLASS_OTHER][70128] = true end;
		if EA_Items[EA_CLASS_OTHER][72528] == nil then EA_Items[EA_CLASS_OTHER][72528] = true end;
		if EA_Items[EA_CLASS_OTHER][72529] == nil then EA_Items[EA_CLASS_OTHER][72529] = true end;
		if EA_Items[EA_CLASS_OTHER][72530] == nil then EA_Items[EA_CLASS_OTHER][72530] = true end;

	-- 마력의 쇄도 (제거된 이물질)
		if EA_Items[EA_CLASS_OTHER][71601] == nil then EA_Items[EA_CLASS_OTHER][71601] = true end;
		if EA_Items[EA_CLASS_OTHER][71644] == nil then EA_Items[EA_CLASS_OTHER][71644] = true end;

	-- 교화된 힘 (무라딘의 만원경)
		if EA_Items[EA_CLASS_OTHER][71570] == nil then EA_Items[EA_CLASS_OTHER][71570] = true end;
		if EA_Items[EA_CLASS_OTHER][71572] == nil then EA_Items[EA_CLASS_OTHER][71572] = true end;

	-- 마력 착취 (이름없는 리치의 성물함)
		if EA_Items[EA_CLASS_OTHER][71605] == nil then EA_Items[EA_CLASS_OTHER][71605] = true end;
		if EA_Items[EA_CLASS_OTHER][71636] == nil then EA_Items[EA_CLASS_OTHER][71636] = true end;

-------------------------------- Start Alternate Items --------------------------------
-- Death Knight / 죽음의 기사
if EA_AltItems[EA_CLASS_DK] == nil then EA_AltItems[EA_CLASS_DK] = {} end;
	-- 룬의 일격
    	if EA_AltItems[EA_CLASS_DK][56815] == nil then EA_AltItems[EA_CLASS_DK][56815] = true end;

-- Druid / 드루이드
if EA_AltItems[EA_CLASS_DRUID] == nil then EA_AltItems[EA_CLASS_DRUID] = {} end;

-- Hunter / 사냥꾼
if EA_AltItems[EA_CLASS_HUNTER] == nil then EA_AltItems[EA_CLASS_HUNTER] = {} end;
	-- 마무리 사격
		if EA_AltItems[EA_CLASS_HUNTER][53351] == nil then EA_AltItems[EA_CLASS_HUNTER][53351] = true end;
		if EA_AltItems[EA_CLASS_HUNTER][61005] == nil then EA_AltItems[EA_CLASS_HUNTER][61005] = true end;
		if EA_AltItems[EA_CLASS_HUNTER][61006] == nil then EA_AltItems[EA_CLASS_HUNTER][61006] = true end;

-- Mage / 마법사
if EA_AltItems[EA_CLASS_MAGE] == nil then EA_AltItems[EA_CLASS_MAGE] = {} end;

-- Paladin / 성기사
if EA_AltItems[EA_CLASS_PALADIN] == nil then EA_AltItems[EA_CLASS_PALADIN] = {} end;
	-- 천벌의 망치
		if EA_AltItems[EA_CLASS_PALADIN][24275] == nil then EA_AltItems[EA_CLASS_PALADIN][24275] = true end;
		if EA_AltItems[EA_CLASS_PALADIN][24274] == nil then EA_AltItems[EA_CLASS_PALADIN][24274] = true end;
		if EA_AltItems[EA_CLASS_PALADIN][24239] == nil then EA_AltItems[EA_CLASS_PALADIN][24239] = true end;
		if EA_AltItems[EA_CLASS_PALADIN][27180] == nil then EA_AltItems[EA_CLASS_PALADIN][27180] = true end;
		if EA_AltItems[EA_CLASS_PALADIN][48805] == nil then EA_AltItems[EA_CLASS_PALADIN][48805] = true end;
		if EA_AltItems[EA_CLASS_PALADIN][48806] == nil then EA_AltItems[EA_CLASS_PALADIN][48806] = true end;

-- Priest / 사제
if EA_AltItems[EA_CLASS_PRIEST] == nil then EA_AltItems[EA_CLASS_PRIEST] = {} end;

-- Rogue / 도적
if EA_AltItems[EA_CLASS_ROGUE] == nil then EA_AltItems[EA_CLASS_ROGUE] = {} end;
	-- 반격
		if EA_AltItems[EA_CLASS_ROGUE][14251] == nil then EA_AltItems[EA_CLASS_ROGUE][14251] = true end;

-- Shaman / 주술사
if EA_AltItems[EA_CLASS_SHAMAN] == nil then EA_AltItems[EA_CLASS_SHAMAN] = {} end;

-- Warlock / 흑마법사
if EA_AltItems[EA_CLASS_WARLOCK] == nil then EA_AltItems[EA_CLASS_WARLOCK] = {} end;

-- Warrior / 전사
if EA_AltItems[EA_CLASS_WARRIOR] == nil then EA_AltItems[EA_CLASS_WARRIOR] = {} end;
	-- 제압
    	if EA_AltItems[EA_CLASS_WARRIOR][7384] == nil then EA_AltItems[EA_CLASS_WARRIOR][7384] = true end;

	-- 마무리 일격
    	if EA_AltItems[EA_CLASS_WARRIOR][5308] == nil then EA_AltItems[EA_CLASS_WARRIOR][5308] = true end;
    	if EA_AltItems[EA_CLASS_WARRIOR][20658] == nil then EA_AltItems[EA_CLASS_WARRIOR][20658] = true end;
    	if EA_AltItems[EA_CLASS_WARRIOR][20660] == nil then EA_AltItems[EA_CLASS_WARRIOR][20660] = true end;
    	if EA_AltItems[EA_CLASS_WARRIOR][20661] == nil then EA_AltItems[EA_CLASS_WARRIOR][20661] = true end;
    	if EA_AltItems[EA_CLASS_WARRIOR][20662] == nil then EA_AltItems[EA_CLASS_WARRIOR][20662] = true end;
      	if EA_AltItems[EA_CLASS_WARRIOR][25234] == nil then EA_AltItems[EA_CLASS_WARRIOR][25234] = true end;
    	if EA_AltItems[EA_CLASS_WARRIOR][25236] == nil then EA_AltItems[EA_CLASS_WARRIOR][25236] = true end;
    	if EA_AltItems[EA_CLASS_WARRIOR][47470] == nil then EA_AltItems[EA_CLASS_WARRIOR][47470] = true end;
    	if EA_AltItems[EA_CLASS_WARRIOR][47471] == nil then EA_AltItems[EA_CLASS_WARRIOR][47471] = true end;

	-- 복수
    	if EA_AltItems[EA_CLASS_WARRIOR][6572] == nil then EA_AltItems[EA_CLASS_WARRIOR][6572] = true end;
    	if EA_AltItems[EA_CLASS_WARRIOR][6574] == nil then EA_AltItems[EA_CLASS_WARRIOR][6574] = true end;
    	if EA_AltItems[EA_CLASS_WARRIOR][7379] == nil then EA_AltItems[EA_CLASS_WARRIOR][7379] = true end;
    	if EA_AltItems[EA_CLASS_WARRIOR][11600] == nil then EA_AltItems[EA_CLASS_WARRIOR][11600] = true end;
    	if EA_AltItems[EA_CLASS_WARRIOR][11601] == nil then EA_AltItems[EA_CLASS_WARRIOR][11601] = true end;
      	if EA_AltItems[EA_CLASS_WARRIOR][25288] == nil then EA_AltItems[EA_CLASS_WARRIOR][25288] = true end;
    	if EA_AltItems[EA_CLASS_WARRIOR][25269] == nil then EA_AltItems[EA_CLASS_WARRIOR][25269] = true end;
    	if EA_AltItems[EA_CLASS_WARRIOR][30357] == nil then EA_AltItems[EA_CLASS_WARRIOR][30357] = true end;
    	if EA_AltItems[EA_CLASS_WARRIOR][57823] == nil then EA_AltItems[EA_CLASS_WARRIOR][57823] = true end;

	-- 승리의 돌진
        if EA_AltItems[EA_CLASS_WARRIOR][34428] == nil then EA_AltItems[EA_CLASS_WARRIOR][34428] = true end;

--------------------------------- Start Target Items ---------------------------------
-- Death Knight / 죽음의 기사
if EA_TarItems[EA_CLASS_DK] == nil then EA_TarItems[EA_CLASS_DK] = {} end;

-- Druid / 드루이드
if EA_TarItems[EA_CLASS_DRUID] == nil then EA_TarItems[EA_CLASS_DRUID] = {} end;
	-- Faerie Fire / 요정의 불꽃
		if EA_TarItems[EA_CLASS_DRUID][770] == nil then EA_TarItems[EA_CLASS_DRUID][770] = true end;

	-- Insect Swarm(Rank 5-7) / 곤충 떼 (레벨 5-7)
		-- if EA_TarItems[EA_CLASS_DRUID][5570] == nil then EA_TarItems[EA_CLASS_DRUID][5570] = true end;
		-- if EA_TarItems[EA_CLASS_DRUID][24974] == nil then EA_TarItems[EA_CLASS_DRUID][24974] = true end;
		-- if EA_TarItems[EA_CLASS_DRUID][24975] == nil then EA_TarItems[EA_CLASS_DRUID][24975] = true end;
		-- if EA_TarItems[EA_CLASS_DRUID][24976] == nil then EA_TarItems[EA_CLASS_DRUID][24976] = true end;
		if EA_TarItems[EA_CLASS_DRUID][24977] == nil then EA_TarItems[EA_CLASS_DRUID][24977] = true end;
		if EA_TarItems[EA_CLASS_DRUID][27013] == nil then EA_TarItems[EA_CLASS_DRUID][27013] = true end;
		if EA_TarItems[EA_CLASS_DRUID][48468] == nil then EA_TarItems[EA_CLASS_DRUID][48468] = true end;

	-- Moonfire(Rank 11-14) / 달빛 섬광 (레벨 11-14)
		-- if EA_TarItems[EA_CLASS_DRUID][8929] == nil then EA_TarItems[EA_CLASS_DRUID][8929] = true end;
		-- if EA_TarItems[EA_CLASS_DRUID][9833] == nil then EA_TarItems[EA_CLASS_DRUID][9833] = true end;
		-- if EA_TarItems[EA_CLASS_DRUID][9834] == nil then EA_TarItems[EA_CLASS_DRUID][9834] = true end;
		-- if EA_TarItems[EA_CLASS_DRUID][9835] == nil then EA_TarItems[EA_CLASS_DRUID][9835] = true end;
		if EA_TarItems[EA_CLASS_DRUID][26987] == nil then EA_TarItems[EA_CLASS_DRUID][26987] = true end;
		if EA_TarItems[EA_CLASS_DRUID][26988] == nil then EA_TarItems[EA_CLASS_DRUID][26988] = true end;
		if EA_TarItems[EA_CLASS_DRUID][48462] == nil then EA_TarItems[EA_CLASS_DRUID][48462] = true end;
		if EA_TarItems[EA_CLASS_DRUID][48463] == nil then EA_TarItems[EA_CLASS_DRUID][48463] = true end;

	-- Mangle(Bear) / 짓이기기 (곰)
		if EA_TarItems[EA_CLASS_DRUID][48564] == nil then EA_TarItems[EA_CLASS_DRUID][48564] = true end;

	-- Mangle(Cat) / 짓이기기 (표범)
		if EA_TarItems[EA_CLASS_DRUID][48566] == nil then EA_TarItems[EA_CLASS_DRUID][48566] = true end;

	-- Faerie Fire (Feral) / 요정의 불꽃 (야성)
		if EA_TarItems[EA_CLASS_DRUID][16857] == nil then EA_TarItems[EA_CLASS_DRUID][16857] = true end;

	-- Infected Wounds / 감염된 상처
		if EA_TarItems[EA_CLASS_DRUID][58181] == nil then EA_TarItems[EA_CLASS_DRUID][58181] = true end;

	-- Lacerate / 가르기
		if EA_TarItems[EA_CLASS_DRUID][48568] == nil then EA_TarItems[EA_CLASS_DRUID][48568] = true end;

	-- Rake / 갈퀴 발톱
		if EA_TarItems[EA_CLASS_DRUID][48574] == nil then EA_TarItems[EA_CLASS_DRUID][48574] = true end;

	-- Rip / 도려내기
		if EA_TarItems[EA_CLASS_DRUID][49800] == nil then EA_TarItems[EA_CLASS_DRUID][49800] = true end;

-- Hunter / 사냥꾼
if EA_TarItems[EA_CLASS_HUNTER] == nil then EA_TarItems[EA_CLASS_HUNTER] = {} end;

-- Mage / 마법사
if EA_TarItems[EA_CLASS_MAGE] == nil then EA_TarItems[EA_CLASS_MAGE] = {} end;
	-- Frostbite / 동상
		if EA_TarItems[EA_CLASS_MAGE][12494] == nil then EA_TarItems[EA_CLASS_MAGE][12494] = true end;

	-- Winter's Chill / 혹한의 추위
		if EA_TarItems[EA_CLASS_MAGE][12579] == nil then EA_TarItems[EA_CLASS_MAGE][12579] = true end;

	-- Slow / 감속
		if EA_TarItems[EA_CLASS_MAGE][31589] == nil then EA_TarItems[EA_CLASS_MAGE][31589] = true end;

	-- Living Bomb(Rank 1) / 살아있는 폭탄 (레벨 1)
		if EA_TarItems[EA_CLASS_MAGE][44457] == nil then EA_TarItems[EA_CLASS_MAGE][44457] = true end;

-- Paladin / 성기사
if EA_TarItems[EA_CLASS_PALADIN] == nil then EA_TarItems[EA_CLASS_PALADIN] = {} end;

-- Priest / 사제
if EA_TarItems[EA_CLASS_PRIEST] == nil then EA_TarItems[EA_CLASS_PRIEST] = {} end;
	-- Weakened Soul / 약화된 영혼
		if EA_TarItems[EA_CLASS_PRIEST][6788] == nil then EA_TarItems[EA_CLASS_PRIEST][6788] = true end;

	-- Shadow Weaving (Rank 1) / 어둠의 매듭 (레벨 1)
		if EA_TarItems[EA_CLASS_PRIEST][15258] == nil then EA_TarItems[EA_CLASS_PRIEST][15258] = true end;

	-- Misery (Rank 1-3) / 불행 (레벨 1-3)
		if EA_TarItems[EA_CLASS_PRIEST][33196] == nil then EA_TarItems[EA_CLASS_PRIEST][33196] = true end;
		if EA_TarItems[EA_CLASS_PRIEST][33197] == nil then EA_TarItems[EA_CLASS_PRIEST][33197] = true end;
		if EA_TarItems[EA_CLASS_PRIEST][33198] == nil then EA_TarItems[EA_CLASS_PRIEST][33198] = true end;

	-- Shadow Word: Pain (Rank 10-12) / 어둠의 권능:고통(레벨 10-12)
		-- if EA_TarItems[EA_CLASS_PRIEST][10892] == nil then EA_TarItems[EA_CLASS_PRIEST][10892] = true end;
		-- if EA_TarItems[EA_CLASS_PRIEST][10893] == nil then EA_TarItems[EA_CLASS_PRIEST][10893] = true end;
		-- if EA_TarItems[EA_CLASS_PRIEST][10894] == nil then EA_TarItems[EA_CLASS_PRIEST][10894] = true end;
		-- if EA_TarItems[EA_CLASS_PRIEST][25367] == nil then EA_TarItems[EA_CLASS_PRIEST][25367] = true end;
		if EA_TarItems[EA_CLASS_PRIEST][25368] == nil then EA_TarItems[EA_CLASS_PRIEST][25368] = true end;
		if EA_TarItems[EA_CLASS_PRIEST][48124] == nil then EA_TarItems[EA_CLASS_PRIEST][48124] = true end;
		if EA_TarItems[EA_CLASS_PRIEST][48125] == nil then EA_TarItems[EA_CLASS_PRIEST][48125] = true end;

	-- Vampiric Touch (Rank 3-5) / 흡혈의 손길 (레벨 3-5)
		-- if EA_TarItems[EA_CLASS_PRIEST][34914] == nil then EA_TarItems[EA_CLASS_PRIEST][34914] = true end;
		-- if EA_TarItems[EA_CLASS_PRIEST][34916] == nil then EA_TarItems[EA_CLASS_PRIEST][34916] = true end;
		if EA_TarItems[EA_CLASS_PRIEST][34917] == nil then EA_TarItems[EA_CLASS_PRIEST][34917] = true end;
		if EA_TarItems[EA_CLASS_PRIEST][48159] == nil then EA_TarItems[EA_CLASS_PRIEST][48159] = true end;
		if EA_TarItems[EA_CLASS_PRIEST][48160] == nil then EA_TarItems[EA_CLASS_PRIEST][48160] = true end;

	-- Devouring Plague (Rank 9) / 파멸의 역병 (레벨 9)
		-- if EA_TarItems[EA_CLASS_PRIEST][19278] == nil then EA_TarItems[EA_CLASS_PRIEST][19278] = true end;
		-- if EA_TarItems[EA_CLASS_PRIEST][19279] == nil then EA_TarItems[EA_CLASS_PRIEST][19279] = true end;
		-- if EA_TarItems[EA_CLASS_PRIEST][19280] == nil then EA_TarItems[EA_CLASS_PRIEST][19280] = true end;
		if EA_TarItems[EA_CLASS_PRIEST][25467] == nil then EA_TarItems[EA_CLASS_PRIEST][25467] = true end;
		if EA_TarItems[EA_CLASS_PRIEST][48299] == nil then EA_TarItems[EA_CLASS_PRIEST][48299] = true end;
		if EA_TarItems[EA_CLASS_PRIEST][48300] == nil then EA_TarItems[EA_CLASS_PRIEST][48300] = true end;

	-- Psychic Horror / 정신적 공포
		if EA_TarItems[EA_CLASS_PRIEST][64058] == nil then EA_TarItems[EA_CLASS_PRIEST][64058] = true end;

-- Rogue / 도적
if EA_TarItems[EA_CLASS_ROGUE] == nil then EA_TarItems[EA_CLASS_ROGUE] = {} end;

-- Shaman / 주술사
if EA_TarItems[EA_CLASS_SHAMAN] == nil then EA_TarItems[EA_CLASS_SHAMAN] = {} end;

-- Warlock / 흑마법사
if EA_TarItems[EA_CLASS_WARLOCK] == nil then EA_TarItems[EA_CLASS_WARLOCK] = {} end;
	-- Immolate (Rank 9-11) / 제물 (레벨  9-11)
		-- if EA_TarItems[EA_CLASS_WARLOCK][11667] == nil then EA_TarItems[EA_CLASS_WARLOCK][11667] = true end;
		-- if EA_TarItems[EA_CLASS_WARLOCK][11668] == nil then EA_TarItems[EA_CLASS_WARLOCK][11668] = true end;
		-- if EA_TarItems[EA_CLASS_WARLOCK][25309] == nil then EA_TarItems[EA_CLASS_WARLOCK][25309] = true end;
		if EA_TarItems[EA_CLASS_WARLOCK][27215] == nil then EA_TarItems[EA_CLASS_WARLOCK][27215] = true end;
		if EA_TarItems[EA_CLASS_WARLOCK][47810] == nil then EA_TarItems[EA_CLASS_WARLOCK][47810] = true end;
		if EA_TarItems[EA_CLASS_WARLOCK][47811] == nil then EA_TarItems[EA_CLASS_WARLOCK][47811] = true end;

	-- Corruption (Rank 10) / 부패 (레벨 8-10)
		-- if EA_TarItems[EA_CLASS_WARLOCK][11671] == nil then EA_TarItems[EA_CLASS_WARLOCK][11671] = true end;
		-- if EA_TarItems[EA_CLASS_WARLOCK][11672] == nil then EA_TarItems[EA_CLASS_WARLOCK][11672] = true end;
		-- if EA_TarItems[EA_CLASS_WARLOCK][25311] == nil then EA_TarItems[EA_CLASS_WARLOCK][25311] = true end;
		if EA_TarItems[EA_CLASS_WARLOCK][27216] == nil then EA_TarItems[EA_CLASS_WARLOCK][27216] = true end;
		if EA_TarItems[EA_CLASS_WARLOCK][47812] == nil then EA_TarItems[EA_CLASS_WARLOCK][47812] = true end;
		if EA_TarItems[EA_CLASS_WARLOCK][47813] == nil then EA_TarItems[EA_CLASS_WARLOCK][47813] = true end;

	-- Curse of Tongues (Rank 2) / 언어의 저주 (레벨 2)
		-- if EA_TarItems[EA_CLASS_WARLOCK][1714] == nil then EA_TarItems[EA_CLASS_WARLOCK][1714] = true end;
		if EA_TarItems[EA_CLASS_WARLOCK][11719] == nil then EA_TarItems[EA_CLASS_WARLOCK][11719] = true end;

	-- Curse of Agony (Rank 7-9) / 고통의 저주 (레벨 7-9)
		-- if EA_TarItems[EA_CLASS_WARLOCK][11711] == nil then EA_TarItems[EA_CLASS_WARLOCK][11711] = true end;
		-- if EA_TarItems[EA_CLASS_WARLOCK][11712] == nil then EA_TarItems[EA_CLASS_WARLOCK][11712] = true end;
		-- if EA_TarItems[EA_CLASS_WARLOCK][11713] == nil then EA_TarItems[EA_CLASS_WARLOCK][11713] = true end;
		if EA_TarItems[EA_CLASS_WARLOCK][27218] == nil then EA_TarItems[EA_CLASS_WARLOCK][27218] = true end;
		if EA_TarItems[EA_CLASS_WARLOCK][47863] == nil then EA_TarItems[EA_CLASS_WARLOCK][47863] = true end;
		if EA_TarItems[EA_CLASS_WARLOCK][47864] == nil then EA_TarItems[EA_CLASS_WARLOCK][47864] = true end;

	-- Curse of the Elements (Rank 3-5) / 원소의 저주 (레벨 3-5)
		-- if EA_TarItems[EA_CLASS_WARLOCK][1490] == nil then EA_TarItems[EA_CLASS_WARLOCK][1490] = true end;
		-- if EA_TarItems[EA_CLASS_WARLOCK][11721] == nil then EA_TarItems[EA_CLASS_WARLOCK][11721] = true end;
		if EA_TarItems[EA_CLASS_WARLOCK][11722] == nil then EA_TarItems[EA_CLASS_WARLOCK][11722] = true end;
		if EA_TarItems[EA_CLASS_WARLOCK][27228] == nil then EA_TarItems[EA_CLASS_WARLOCK][27228] = true end;
		if EA_TarItems[EA_CLASS_WARLOCK][47865] == nil then EA_TarItems[EA_CLASS_WARLOCK][47865] = true end;

	-- Curse of Weakness (Rank 7-9) / 무력화 저주 (레벨 7-9)
		-- if EA_TarItems[EA_CLASS_WARLOCK][7646] == nil then EA_TarItems[EA_CLASS_WARLOCK][7646] = true end;
		-- if EA_TarItems[EA_CLASS_WARLOCK][11707] == nil then EA_TarItems[EA_CLASS_WARLOCK][11707] = true end;
		-- if EA_TarItems[EA_CLASS_WARLOCK][11708] == nil then EA_TarItems[EA_CLASS_WARLOCK][11708] = true end;
		if EA_TarItems[EA_CLASS_WARLOCK][27224] == nil then EA_TarItems[EA_CLASS_WARLOCK][27224] = true end;
		if EA_TarItems[EA_CLASS_WARLOCK][30909] == nil then EA_TarItems[EA_CLASS_WARLOCK][30909] = true end;
		if EA_TarItems[EA_CLASS_WARLOCK][50511] == nil then EA_TarItems[EA_CLASS_WARLOCK][50511] = true end;

-- Warrior / 전사
if EA_TarItems[EA_CLASS_WARRIOR] == nil then EA_TarItems[EA_CLASS_WARRIOR] = {} end;

end

function EventAlert_RemoveOldSpells()
	if EA_Items[EA_CLASS_PALADIN][27179] == true then EA_Items[EA_CLASS_PALADIN][27179] = nil end;
	if EA_Items[EA_CLASS_PALADIN][27151] == true then EA_Items[EA_CLASS_PALADIN][27151] = nil end;
	if EA_Items[EA_CLASS_WARLOCK][47274] == true then EA_Items[EA_CLASS_WARLOCK][47274] = nil end;
	if EA_Items[EA_CLASS_PRIEST][34754] == true then EA_Items[EA_CLASS_PRIEST][34754] = nil end;
	if EA_Items[EA_CLASS_DK][50466] == true then EA_Items[EA_CLASS_DK][50466] = nil end;
	EA_Items["Other"] = nil;
end